# $Id: avidemux2.spec 3221 2005-05-21 05:21:36Z dag $
# Authority: dag
# Upstream: <fixounet$free,fr>

%{?rh7:%define _without_freedesktop 1}
%{?el2:%define _without_freedesktop 1}
%{?rh6:%define _without_freedesktop 1}

%define desktop_vendor doors

%define real_name avidemux

%define firefox_version %(rpm -q firefox-devel --qf='%%{version}' 2>/dev/null)

Summary: Graphical video editing tool
Name: avidemux2
Version: 2.4.1
Release: 3%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://fixounet.free.fr/avidemux/

Source: http://download.berlios.de/avidemux/avidemux_%{version}.tar.gz
Patch0: avidemux_2.4.1-faad2.patch
Patch1: avidemux_2.4.1-detect-autoconf.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext-devel
BuildRequires: gcc >= 3.0, glib-devel, gtk2-devel >= 2.0.0
BuildRequires: nasm >= 0.98.32, automake
BuildRequires: alsa-lib-devel, esound-devel
BuildRequires: faac-devel, faad2-devel
BuildRequires: firefox-devel
BuildRequires: freetype-devel, fontconfig-devel
BuildRequires: lame-devel
BuildRequires: libmad-devel
BuildRequires: libpng-devel, libvorbis-devel, libxml2-devel
BuildRequires: SDL-devel
BuildRequires: x264-devel, xvidcore-devel
%{!?_without_freedesktop:BuildRequires: desktop-file-utils}

Requires: firefox = %{firefox_version}

%description
Avidemux is a graphical tool to edit AVI. It allows you to multiplex and
demultiplex audio to/from video.

It is able to cut video, import BMP, MJPEG and MPEG video, and encode them.
You can also process video with included filters. It requires a DivX 
compatible encoder and the Gimp Toolkit (GTK) libraries.

%prep
%setup -n %{real_name}_%{version}
%patch0 -p1
%patch1 -p1

%{__cat} <<EOF >avidemux2.desktop
[Desktop Entry]
Name=Avidemux Video Editor
Comment=Edit your videos in real-time
Icon=gnome-multimedia.png
Exec=avidemux2_gtk
Terminal=false
Type=Application
Categories=GNOME;Application;AudioVideo;
MimeType=video/mp4v-es;video/mpeg;video/quicktime;video/x-msvideo;video/x-avi;audio/ac3;audio/x-mpeg;audio/x-mp3;audio/x-mp2;audio/x-wav;
EOF

chmod a-x avidemux/ADM_ocr/ADM_vob2vobsub.cpp

%build
%{__perl} -pi.orig -e 's|/usr/X11R6/lib|\$x_libraries|g' configure
%{__perl} -pi.orig -e 's|/usr/X11R6/lib|%{_prefix}/X11R6/%{_lib}|g' Makefile.in */Makefile.in */*/Makefile.in

LDFLAGS="-L%{_libdir}/firefox-%{firefox_version} -Wl,-rpath %{_libdir}/firefox-%{firefox_version}"
export LDFLAGS

UNSERMAKE=/usr/bin/automake
UNSERLOCAL=/usr/bin/aclocal
export UNSERMAKE UNSERLOCAL
sh admin/cvs.sh cvs

%configure \
	--x-libraries="%{_prefix}/X11R6/%{_lib}" \
	--with-jsapi-include=%{_includedir}/firefox-%{firefox_version}/js \
	--disable-warnings
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
### FIXME: Base kde_locale on $(datadir). (Please fix upstream)
%makeinstall \
	kde_locale="%{buildroot}%{_datadir}/locale"
%find_lang %{real_name}

%if %{?_without_freedesktop:1}0
	%{__install} -Dp -m0755 avidemux2.desktop %{buildroot}%{_datadir}/gnome/apps/Multimedia/avidemux2.desktop
%else
	%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
	desktop-file-install --vendor %{desktop_vendor}    \
		--add-category X-Red-Hat-Base              \
		--dir %{buildroot}%{_datadir}/applications \
		avidemux2.desktop
%endif

%post
update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
update-desktop-database %{_datadir}/applications &>/dev/null || :

%clean
%{__rm} -rf %{buildroot}

%files -f %{real_name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING History README TODO
%{_bindir}/avidemux2_cli
%{_bindir}/avidemux2_gtk
%{!?_without_freedesktop:%{_datadir}/applications/%{desktop_vendor}-avidemux2.desktop}
%{?_without_freedesktop:%{_datadir}/gnome/apps/Multimedia/avidemux2.desktop}


%changelog
* Sun Mar 30 2008 Peter Hanecak <hany@hany.sk> 2.4.1-3
- rebuild against newer firefox (2.0.0.13)

* Sun Feb 17 2008 Peter Hanecak <hany@hany.sk> 2.4.1-2
- rebuild against newer firefox (2.0.0.12)

* Sun Feb 17 2008 Peter Hanecak <hany@hany.sk> 2.4.1-1
- updated to 2.4.1
- updated faad2 patch

* Tue Jan 22 2008 Peter Hanecak <hany@hany.sk> 2.3.0-7
- rebuild against newer firefox (2.0.0.10)
- more precise License tag: GPLv2+
- %%find_lang enabled

* Thu Nov  1 2007 Peter Hanecak <hany@hany.sk> 2.3.0-6
- rebuild against newer firefox (2.0.0.8)

* Fri Jul 27 2007 Peter Hanecak <hany@hany.sk> 2.3.0-5
- rebuild against newer firefox (2.0.0.5)

* Thu Jul  5 2007 Peter Hanecak <hany@hany.sk> 2.3.0-4
- rebuild against newer firefox (2.0.0.4)

* Sat Jun  2 2007 Peter Hanecak <hany@hany.sk> 2.3.0-3
- rebuild against newer firefox (1.5.0.12)

* Sun Mar 18 2007 Peter Hanecak <hany@hany.sk> 2.3.0-2
- rebuild against newer firefox
- added missing build requires
- patched for compilation against faad2

* Tue Jan  9 2007 Peter Hanecak <hany@hany.sk> 2.3.0-1
- updated to 2.3.0
- build requires firefox-devel
- requires firefox (same version as it was built against)

* Fri May 27 2005 Dag Wieers <dag@wieers.com> - 2.0.40-1 - 3221+/dag
- Updated to release 2.0.40.

* Mon May 16 2005 Dag Wieers <dag@wieers.com> - 2.0.38-1
- Updated to release 2.0.38.

* Fri Jan 28 2005 Dag Wieers <dag@wieers.com> - 2.0.36-2
- Rebuild against xvidcore 1.0.3.

* Fri Jan 14 2005 Dag Wieers <dag@wieers.com> - 2.0.36-1
- Updated to release 2.0.36.

* Mon Dec 20 2004 Dag Wieers <dag@wieers.com> - 2.0.34-0.test2
- Updated to release 2.0.34-test2.

* Fri Nov 05 2004 Dag Wieers <dag@wieers.com> - 2.0.32-1
- Updated to release 2.0.32.

* Fri Aug 13 2004 Dag Wieers <dag@wieers.com> - 2.0.28-1
- Updated to release 2.0.28.

* Fri Jul 23 2004 Dag Wieers <dag@wieers.com> - 2.0.26-1
- Updated to release 2.0.26.

* Tue May 11 2004 Dag Wieers <dag@wieers.com> - 2.0.24-1
- Updated to release 2.0.24.

* Sat Feb 28 2004 Dag Wieers <dag@wieers.com> - 2.0.22-0
- Updated to release 2.0.22.

* Mon Dec 22 2003 Dag Wieers <dag@wieers.com> - 2.0.20-0
- Updated to release 2.0.20.

* Sun Nov 02 2003 Dag Wieers <dag@wieers.com> - 2.0.18-0
- Updated to release 2.0.18.

* Sun Sep 27 2003 Dag Wieers <dag@wieers.com> - 2.0.16-0
- Updated to release 2.0.16.

* Sat Aug 23 2003 Dag Wieers <dag@wieers.com> - 2.0.14-1
- Rebuild against xvidcore-0.9.2.

* Sun Aug 17 2003 Dag Wieers <dag@wieers.com> - 2.0.14-0
- Updated to release 2.0.14.

* Sun Aug 03 2003 Dag Wieers <dag@wieers.com> - 2.0.12-0
- Updated to release 2.0.12.

* Sat Jun 28 2003 Dag Wieers <dag@wieers.com> - 2.0.8-0
- Updated to release 2.0.8.

* Sun Jun 01 2003 Dag Wieers <dag@wieers.com> - 2.0.6-0
- Updated to release 2.0.6.
- Updated to release 2.0.4.

* Mon Apr 21 2003 Dag Wieers <dag@wieers.com> - 0.9-0
- Updated to release 0.9.

* Sun Mar 23 2003 Dag Wieers <dag@wieers.com> - 0.8.93-0
- Updated to release 0.9rc3.

* Sun Mar 09 2003 Dag Wieers <dag@wieers.com> - 0.8.92-0
- Updated to release 0.9rc2.

* Fri Feb 28 2003 Dag Wieers <dag@wieers.com> - 0.8.91-0
- Updated to release 0.9rc1.

* Sat Feb 08 2003 Dag Wieers <dag@wieers.com> - 0.9pre32
- Initial package. (using DAR)
